Arch MergeWalls/pl: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{Docnav/pl |Zamknij otwory |Sprawdź |środowisko pracy Architektura |IconL=Arch_CloseHoles.svg |IconR=Arch_Check.svg |IconC=Workbench_Arch.svg }}")
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/pl
|[[Arch_CloseHole/pl|Zamknij otwory]]
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Check|Check]]
|[[Arch_Check/pl|Sprawdź]]
|[[Arch_Workbench|Arch]]
|[[Arch_Workbench/pl|środowisko pracy Architektura]]
|IconL=Arch_CloseHoles.svg
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconR=Arch_Check.svg

Revision as of 17:49, 6 May 2024

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls. The walls must have the same height, width and alignment.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Notes

  • Arch Add can merge walls even if they have different heights, widths and alignments.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])